[haiku-development] Re: how to install icu-devel?

On Mon, Mar 26, 2012 at 4:24 AM, Adrien Destugues
<pulkomandy@xxxxxxxxxxxxx>wrote:

> Le Sun, 25 Mar 2012 22:21:48 +0200, Matt Madia <mattmadia@xxxxxxxxx> a
> écrit:
>
>
>  On Sun, Mar 25, 2012 at 07:53, Zimin <ziminq@xxxxxxxxx> wrote:
>>
>>> Hi list,
>>>
>>> In order to install webpositive, I have to install icu-devel, but
>>> installoptionalpackage doesn't provide it, how can I install it? I'm
>>> using
>>> x86 GCC 2 image.
>>> I have to say, I'm going through some pains to setup webpositive
>>> environment...
>>>
>>
>> For developing Web+, IIRC, it's only possible under a gcc4hybrid.
>>
>> As for installing ICU-devel, the commands used in the jam file are too
>> complex for installoptionalpackage to handle.  That
>> installoptionalpackage works at all is a minor miracle, as it
>> processes jam syntax into shell scripting  :)
>>
>
> To make it clear : you'll need to build an Haiku image yourself, and
> configure it so it includes the ICU development stuff, which isn't included
> by default because it takes too much space and is only useful to people
> building Web+ - not the typical activity of Haiku users.
>

Is there any document about how to build an Haiku image by myself? Sorry
I'm new to this...


>
> --
> Adrien.
>
>


-- 
-zimin

Other related posts: